path: /build/build/libffi-virtual-3.4.7.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} virtual/libffi -pv -t && \
    emerge -j ${JOBS} --nodeps virtual/libffi
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/libffi && luet-portage --dir /pkgdir/libffi
    virtual/libffi && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree:ae911861c5bad9ad328b74ad83a3d50953e2d33177039700c30c5a1d74c2da44
  package:
    name: libffi
    version: 3.4.7
    category: virtual
    requires:
    - name: semantic_version
      version: '>=0'
      category: dev-python
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: A virtual for the Foreign Function Interface implementation
    uri:
    - ""
    buildtimestamp: 2025-08-09 23:13:14.910574397 +0000 UTC m=+415.711285348
    labels:
      IUSE: abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64 abi_mips_o32
        abi_s390_32 abi_s390_64
      RDEPEND: '>=dev-libs/libffi-3.4.7'
      emerge.packages: virtual/libffi
      kit: core-kit
      original.package.name: virtual/libffi
      original.package.slot: "0"
      original.package.version: 3.4.7
    treedir: /build/packages
  package_dir: /pkgdir/libffi
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 2def5fcbb264b65d994f6521108cfb4e74b90e0aecfdbe39aa8421dce76278df
compressiontype: zstd
files:
- var/db/pkg/virtual/libffi-3.4.7/BUILD_TIME
- var/db/pkg/virtual/libffi-3.4.7/CATEGORY
- var/db/pkg/virtual/libffi-3.4.7/CBUILD
- var/db/pkg/virtual/libffi-3.4.7/CFLAGS
- var/db/pkg/virtual/libffi-3.4.7/CHOST
- var/db/pkg/virtual/libffi-3.4.7/COUNTER
- var/db/pkg/virtual/libffi-3.4.7/CTARGET
- var/db/pkg/virtual/libffi-3.4.7/CXX
- var/db/pkg/virtual/libffi-3.4.7/CXXFLAGS
- var/db/pkg/virtual/libffi-3.4.7/DEFINED_PHASES
- var/db/pkg/virtual/libffi-3.4.7/DESCRIPTION
- var/db/pkg/virtual/libffi-3.4.7/EAPI
- var/db/pkg/virtual/libffi-3.4.7/FEATURES
- var/db/pkg/virtual/libffi-3.4.7/IUSE
- var/db/pkg/virtual/libffi-3.4.7/IUSE_EFFECTIVE
- var/db/pkg/virtual/libffi-3.4.7/KEYWORDS
- var/db/pkg/virtual/libffi-3.4.7/LDFLAGS
- var/db/pkg/virtual/libffi-3.4.7/LICENSE
- var/db/pkg/virtual/libffi-3.4.7/PF
- var/db/pkg/virtual/libffi-3.4.7/RDEPEND
- var/db/pkg/virtual/libffi-3.4.7/SIZE
- var/db/pkg/virtual/libffi-3.4.7/SLOT
- var/db/pkg/virtual/libffi-3.4.7/USE
- var/db/pkg/virtual/libffi-3.4.7/environment.bz2
- var/db/pkg/virtual/libffi-3.4.7/libffi-3.4.7.ebuild
- var/db/pkg/virtual/libffi-3.4.7/repository
package_cacheimage: ""
runtime:
  name: libffi
  version: 3.4.7
  category: virtual
  requires:
  - name: libffi
    version: '>=0'
    category: dev-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: A virtual for the Foreign Function Interface implementation
  uri:
  - ""
  labels:
    IUSE: abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64 abi_mips_o32
      abi_s390_32 abi_s390_64
    RDEPEND: '>=dev-libs/libffi-3.4.7'
    emerge.packages: virtual/libffi
    kit: core-kit
    original.package.name: virtual/libffi
    original.package.slot: "0"
    original.package.version: 3.4.7
